#include "vofa.h"
#include "usbd_cdc_if.h"
#include "bsp_usart.h"
#include <cmsis_os2.h>
#include "define.h"
//用来对需要的数据进行串口绘图  （未添加接收函数）



float vofa_send[8];

//发送函数
void vofa_tx_main(float *data)
{
    float fdata[8] = {0};
    uint8_t tail[4] = {0x00, 0x00, 0x80, 0x7f};

    // 拷贝数据
    for (int i = 0; i < 8; i++) {
        fdata[i] = data[i];
    }

    // 合成一个数据包
    uint8_t packet[8 * sizeof(float) + 4];
    memcpy(packet, fdata, 8 * sizeof(float));         
    memcpy(packet + 8 * sizeof(float), tail, 4);      

#ifdef vofa_usb
    /*通过usb口发送数据到vofa*/
    CDC_Transmit_FS( packet, sizeof(packet));		
		
#elif defined(vofa_uart1)
		/*通过串口1发送数据到vofa*/		
		HAL_UART_Transmit(&huart1,packet, sizeof(packet),100);
		
#endif
      osDelay(1);   
}
